Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.gvt.renderer
Interface Renderer

All Known Subinterfaces:
  ImageRenderer

All Known Implementing Classes:
  DynamicRenderer, MacRenderer, StaticRenderer

    public interface Renderer

Interface for GVT Renderers.

Method Summary
`void` | `dispose()` Cause the renderer to ask to be removed from external reference lists, de-register as a listener to events, etc.
`AffineTransform` | `getTransform()` Returns a copy of the transform from the current user space (as defined by the top node of the GVT tree) to the device space (1 unit = 1/72nd of an inch / 1 pixel, roughly speaking
`GraphicsNode` | `getTree()` Returns the GVT tree associated with this renderer
`boolean` | `isDoubleBuffered()` Returns true if the Renderer is currently doubleBuffering is rendering requests.
`void` | `repaint(RectListManager areas)` Repaints the associated GVT tree at least in areas under the list of `areas`.
`void` | `repaint(Shape area)` Repaints the associated GVT tree at least under `area`.
`void` | `setDoubleBuffered(boolean isDoubleBuffered)` Turns on/off double buffering in renderer.
`void` | `setTransform(AffineTransform usr2dev)` Sets the transform from the current user space (as defined by the top node of the GVT tree, to the associated device space.
`void` | `setTree(GraphicsNode treeRoot)` This associates the given GVT Tree with this renderer.

Method Detail

### setTree

    void setTree(GraphicsNode treeRoot)

  This associates the given GVT Tree with this renderer. Any previous tree association is forgotten. Not certain if this should be just GraphicsNode, or CanvasGraphicsNode.

### getTree

    GraphicsNode getTree()

  Returns the GVT tree associated with this renderer

### repaint

    void repaint(Shape area)

  Repaints the associated GVT tree at least under `area`.

  Parameters:
    `area` - the region to be repainted, in the current user space coordinate system.

### repaint

    void repaint(RectListManager areas)

  Repaints the associated GVT tree at least in areas under the list of `areas`.

  Parameters:
    `areas` - a List of regions to be repainted, in the current user space coordinate system.

### setTransform

    void setTransform(AffineTransform usr2dev)

  Sets the transform from the current user space (as defined by the top node of the GVT tree, to the associated device space.

### getTransform

    AffineTransform getTransform()

  Returns a copy of the transform from the current user space (as defined by the top node of the GVT tree) to the device space (1 unit = 1/72nd of an inch / 1 pixel, roughly speaking

### isDoubleBuffered

    boolean isDoubleBuffered()

  Returns true if the Renderer is currently doubleBuffering is rendering requests. If it is then getOffscreen will only return completed renderings (or null if nothing is available).

### setDoubleBuffered

    void setDoubleBuffered(boolean isDoubleBuffered)

  Turns on/off double buffering in renderer. Turning off double buffering makes it possible to see the ongoing results of a render operation.

### dispose

    void dispose()

  Cause the renderer to ask to be removed from external reference lists, de-register as a listener to events, etc. This is so that in the absence of other existing references, it can be removed by the garbage collector.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.